Validar el esquema de una conexión
curl --request POST \
--url https://api.example.com/v1/management/connections/validate-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mappedFields": {}
}
'import requests
url = "https://api.example.com/v1/management/connections/validate-schema"
payload = { "mappedFields": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mappedFields: {}})
};
fetch('https://api.example.com/v1/management/connections/validate-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": "<string>",
"errors": [
{
"dataSourceId": "<string>",
"type": "<string>",
"field": "<string>",
"table": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Validar el esquema de una conexión
Valida los identificadores asignados de la fuente de datos, la tabla y el campo antes de usar una conexión.
POST
/
v1
/
management
/
connections
/
validate-schema
Validar el esquema de una conexión
Autorizaciones
Token JWT de tipo bearer emitido por el proveedor de identidad.
Cuerpo
application/json
Asignaciones de fuente de datos, tabla y campo que se validarán.
Asocia cada nombre de configuración de fuente de datos con las tablas y los campos requeridos de cada tabla.
Show child attributes
Show child attributes
Ejemplo:
{
"midaz_onboarding": { "accounts": ["id", "name"] }
}
Respuesta
OK
Resultado legible de la validación del esquema.
Ejemplo:
"Validación del esquema completada correctamente"
Resultado de la validación del esquema.
Ejemplo:
"success"
Fallos de validación; se omiten cuando todos los campos solicitados son válidos.
Show child attributes
Show child attributes
Ejemplo:
[
{
"dataSourceId": "midaz_onboarding",
"field": "external_id",
"table": "accounts",
"type": "FIELD_NOT_FOUND"
}
]
¿Esta página le ayudó?
⌘I

